## request-tracker5 5.0.5%2Bdfsg

=== debian/control ===
Source: request-tracker5
Maintainer: Debian Request Tracker Group <pkg-request-tracker-maintainers@lists.alioth.debian.org>
Uploaders: Niko Tyni <ntyni@debian.org>,
           Andrew Ruthven <andrew@etc.gen.nz>,
           Dominic Hargreaves <dom@earth.li>
Section: misc
Priority: optional
Build-Depends: debhelper-compat (= 13),
               ckbuilder,
               gnupg,
               libapache-session-perl,
               libbusiness-hours-perl,
               libcgi-emulate-psgi-perl,
               libcgi-pm-perl,
               libcgi-psgi-perl,
               libcss-minifier-xs-perl,
               libclass-accessor-perl,
               libclone-perl,
               libconvert-color-perl,
               libcpanel-json-xs-perl,
               libcrypt-eksblowfish-perl,
               libcrypt-x509-perl,
               libcss-squish-perl,
               libdata-guid-perl,
               libdata-ical-perl,
               libdata-page-perl,
               libdate-extract-perl,
               libdate-manip-perl,
               libdatetime-format-natural-perl,
               libdatetime-locale-perl (>= 1:1.02),
               libdatetime-perl,
               libdbd-mysql-perl,
               libdbd-sqlite3-perl (>= 1.72),
               libdbi-perl,
               libdbix-searchbuilder-perl (>= 1.77),
               libdevel-globaldestruction-perl,
               libemail-abstract-perl,
               libemail-address-list-perl,
               libemail-address-perl (>= 1.908),
               libfcgi-perl,
               libfile-sharedir-perl,
               libfile-which-perl,
               libgd-graph-perl (>= 1.54~ds),
               libgd-text-perl,
               libgnupg-interface-perl (>= 1.02),
               libgraphviz2-perl,
               libhtml-formatexternal-perl,
               libhtml-formattext-withlinks-andtables-perl (>= 0.06),
               libhtml-formattext-withlinks-perl,
               libhtml-gumbo-perl,
               libhtml-mason-perl,
               libhtml-mason-psgihandler-perl,
               libhtml-parser-perl,
               libhtml-quoted-perl,
               libhtml-rewriteattributes-perl (>= 0.05),
               libhtml-scrubber-perl,
               libhttp-message-perl (>= 6.07),
               libencode-detect-perl,
               libencode-hanextra-perl,
               libipc-run-perl,
               libipc-run3-perl,
               libjavascript-minifier-xs-perl,
               libjson-perl,
               liblist-moreutils-perl,
               liblocale-maketext-fuzzy-perl,
               liblocale-maketext-lexicon-perl,
               liblocale-po-perl,
               liblog-dispatch-perl,
               liblog-dispatch-perl-perl,
               libmailtools-perl (>= 2.12),
               libmime-tools-perl (>= 5.504),
               libmime-types-perl,
               libmodule-path-perl,
               libmodule-refresh-perl,
               libmodule-runtime-perl,
               libmodule-versions-report-perl,
               libmojolicious-perl,
               libmoose-perl,
               libmoosex-nonmoose-perl,
               libmoosex-role-parameterized-perl,
               libnet-cidr-perl,
               libnet-ip-perl,
               libnet-ldap-perl,
               libnet-ldap-server-test-perl,
               libnet-ssleay-perl,
               libparallel-forkmanager-perl,
               libpath-dispatcher-perl (>= 1.07),
               libperlio-eol-perl,
               libpod-parser-perl,
               libplack-middleware-test-stashwarnings-perl (>= 0.08),
               libplack-perl (>= 1.0002),
               libregexp-common-net-cidr-perl,
               libregexp-common-perl,
               libregexp-ipv6-perl,
               librole-basic-perl,
               libscope-upper-perl,
               libset-tiny-perl,
               libstring-shellquote-perl,
               libsymbol-global-name-perl,
               libterm-readkey-perl,
               libtest-deep-perl,
               libtest-email-perl,
               libtest-expect-perl,
               libtest-longstring-perl,
               libtest-mocktime-perl,
               libtest-mocktime-hires-perl,
               libtest-nowarnings-perl,
               libtest-pod-perl,
               libtest-warn-perl,
               libtest-www-mechanize-perl,
               libtest-www-mechanize-psgi-perl,
               libtext-autoformat-perl,
               libtext-password-pronounceable-perl,
               libtext-quoted-perl (>= 2.07),
               libtext-template-perl,
               libtext-wikiformat-perl,
               libtext-worddiff-perl,
               libtext-wrapper-perl,
               libtime-parsedate-perl,
               libtimedate-perl,
               libtree-simple-perl,
               liburi-perl,
               libweb-machine-perl,
               libwww-mechanize-perl,
               libwww-perl,
               libxml-rss-perl,
               libxml-simple-perl,
               libpod-simple-perl (>= 3.24),
               libencode-perl (>= 2.64),
               perl,
               po-debconf,
               starlet,
               tzdata,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/request-tracker-team/request-tracker5
Vcs-Git: https://salsa.debian.org/request-tracker-team/request-tracker5.git
Homepage: https://bestpractical.com/rt/
Rules-Requires-Root: binary-targets

Package: request-tracker5
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${perl:Depends}, ${misc:Depends},
         rt5-clients (= ${source:Version}),
         rt5-standalone (= ${source:Version}) | rt5-apache2 (= ${source:Version}) | rt5-fcgi (= ${source:Version}),
         rt5-db-sqlite (= ${source:Version}) | rt5-db-postgresql (= ${source:Version}) | rt5-db-mysql (= ${source:Version}),
         dbconfig-common | dbconfig-no-thanks,
         default-mta | mail-transport-agent,
         fonts-droid-fallback,
         fonts-noto-core,
         libapache-session-perl,
         libbusiness-hours-perl,
         libcgi-emulate-psgi-perl,
         libcgi-pm-perl,
         libcgi-psgi-perl,
         libclass-accessor-perl,
         libclone-perl,
         libconvert-color-perl,
         libcpanel-json-xs-perl,
         libcrypt-eksblowfish-perl,
         libcrypt-x509-perl,
         libcss-minifier-xs-perl,
         libcss-squish-perl,
         libdata-guid-perl,
         libdata-ical-perl,
         libdata-page-perl,
         libdate-extract-perl (>= 0.07),
         libdate-manip-perl,
         libdatetime-format-natural-perl,
         libdatetime-locale-perl (>= 1:1.02),
         libdatetime-perl,
         libdbi-perl,
         libdbix-searchbuilder-perl (>= 1.68),
         libdevel-globaldestruction-perl,
         libemail-address-list-perl,
         libemail-address-perl (>= 1.908),
         libencode-detect-perl,
         libencode-hanextra-perl,
         libencode-perl (>= 2.64),
         libfile-sharedir-perl,
         libfile-which-perl,
         libgd-graph-perl (>= 1.54~ds),
         libgd-text-perl,
         libgnupg-interface-perl (>= 1.02),
         libgraphviz2-perl,
         libhtml-formatexternal-perl,
         libhtml-formattext-withlinks-andtables-perl,
         libhtml-formattext-withlinks-perl,
         libhtml-gumbo-perl,
         libhtml-mason-perl,
         libhtml-mason-psgihandler-perl,
         libhtml-quoted-perl,
         libhtml-rewriteattributes-perl (>= 0.05),
         libhtml-scrubber-perl,
         libhttp-message-perl (>= 6.07),
         libipc-run-perl,
         libipc-run3-perl,
         libjavascript-minifier-xs-perl,
         libjson-perl,
         liblist-moreutils-perl,
         liblocale-maketext-fuzzy-perl,
         liblocale-maketext-lexicon-perl,
         liblog-dispatch-perl,
         libmailtools-perl (>= 2.12),
         libmime-tools-perl (>= 5.504),
         libmime-types-perl,
         libmodule-path-perl,
         libmodule-refresh-perl,
         libmodule-runtime-perl,
         libmodule-versions-report-perl,
         libmoose-perl,
         libmoosex-nonmoose-perl,
         libmoosex-role-parameterized-perl,
         libnet-cidr-perl,
         libnet-ip-perl,
         libnet-ldap-perl,
         libnet-ssleay-perl,
         libparallel-forkmanager-perl,
         libpath-dispatcher-perl (>= 1.07),
         libperlio-eol-perl,
         libplack-perl (>= 1.0002),
         libpod-parser-perl,
         libregexp-common-net-cidr-perl,
         libregexp-common-perl,
         libregexp-ipv6-perl,
         librole-basic-perl,
         libscope-upper-perl,
         libstring-shellquote-perl,
         libsymbol-global-name-perl,
         libtext-autoformat-perl,
         libtext-password-pronounceable-perl,
         libtext-quoted-perl (>= 2.07),
         libtext-template-perl,
         libtext-wikiformat-perl,
         libtext-worddiff-perl,
         libtext-wrapper-perl,
         libtime-parsedate-perl,
         libtimedate-perl,
         libtree-simple-perl,
         liburi-perl,
         libweb-machine-perl,
         libwww-perl,
         libxml-rss-perl,
         libxml-simple-perl,
         perl-doc,
         ucf,
Recommends: cron-daemon,
            libcss-inliner-perl,
            libfile-dropbox-perl,
            libnet-amazon-s3-perl,
            rsyslog | system-log-daemon,
            w3m,
Suggests: rt5-doc-html
Description: extensible trouble-ticket tracking system
 Request Tracker (RT) is a ticketing system which
 enables a group of people to intelligently and efficiently manage
 tasks, issues, and requests submitted by a community of users. It
 features web, email, and command-line interfaces (see the package
 rt5-clients).
 .
 RT manages key tasks such as the identification, prioritization,
 assignment, resolution, and notification required by
 enterprise-critical applications, including project management, help
 desk, NOC ticketing, CRM, and software development.
 .
 This package provides the 5 series of RT. It can be installed alongside
 the 3.8 and 4 series without any problems.
 .
 This package provides the core of RT.
 .
 This package supports three database types out of the box: MySQL,
 PostgreSQL and SQLite. In order to support a zero-configuration install,
 SQLite will be used by default, but is not recommended for production
 use. Please see /usr/share/doc/request-tracker5/NOTES.Debian for more
 details and consider installing rt5-db-postgresql or rt5-db-mysql at
 the same time as this package.

Package: rt5-clients
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends},
         default-mta | mail-transport-agent,
         libterm-readkey-perl,
         libterm-readline-perl-perl | libterm-readline-gnu-perl,
         libwww-perl
Recommends: libio-socket-ssl-perl
Description: mail gateway and command-line interface to request-tracker5
 Request Tracker (RT) is a ticketing system which
 enables a group of people to intelligently and efficiently manage
 tasks, issues, and requests submitted by a community of users. It
 features web, email, and command-line interfaces (see the package
 rt5-clients).
 .
 RT manages key tasks such as the identification, prioritization,
 assignment, resolution, and notification required by
 enterprise-critical applications, including project management, help
 desk, NOC ticketing, CRM, and software development.
 .
 This package provides the 5 series of RT. It can be installed alongside
 the 3.8 and 4 series without any problems.
 .
 This package provides support for injecting tickets into Request Tracker
 from a mail server via rt-mailgate. It may be installed onto any
 machine where you want to use the "rt" command-line interface.

Package: rt5-standalone
Architecture: all
Depends: ${misc:Depends},
         starlet
Description: Standalone web server support for request-tracker5
 Request Tracker (RT) is a ticketing system which
 enables a group of people to intelligently and efficiently manage

## request-tracker5 5.0.5+dfsg

=== Makefile ===
# BEGIN BPS TAGGED BLOCK {{{
#
# COPYRIGHT:
#
# This software is Copyright (c) 1996-2023 Best Practical Solutions, LLC
#                                          <sales@bestpractical.com>
#
# (Except where explicitly superseded by other copyright notices)
#
#
# LICENSE:
#
# This work is made available to you under the terms of Version 2 of
# the GNU General Public License. A copy of that license should have
# been provided with this software, but in any event can be snarfed
# from www.gnu.org.
#
# This work is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301 or visit their web page on the internet at
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html.
#
#
# CONTRIBUTION SUBMISSION POLICY:
#
# (The following paragraph is not intended to limit the rights granted
# to you to modify and distribute this software under the terms of
# the GNU General Public License and is only of importance to you if
# you choose to contribute your changes and enhancements to the
# community by submitting them to Best Practical Solutions, LLC.)
#
# By intentionally submitting any modifications, corrections or
# derivatives to this work, or any other work intended for use with
# Request Tracker, to Best Practical Solutions, LLC, you confirm that
# you are the copyright holder for those contributions and you grant
# Best Practical Solutions,  LLC a nonexclusive, worldwide, irrevocable,
# royalty-free, perpetual, license to use, copy, create derivative
# works based on those contributions, and sublicense and distribute
# those contributions and any derivatives thereof.
#
# END BPS TAGGED BLOCK }}}
#
# DO NOT HAND-EDIT the file named 'Makefile'. This file is autogenerated.
# Have a look at "configure" and "Makefile.in" instead
#


PERL			=	/usr/bin/perl
INSTALL			=	./install-sh
CC				=	@CC@

RT_LAYOUT		=	relative

CONFIG_FILE_PATH	=	/opt/rt5/etc
CONFIG_FILE		=	$(CONFIG_FILE_PATH)/RT_Config.pm
SITE_CONFIG_FILE	=	$(CONFIG_FILE_PATH)/RT_SiteConfig.pm


RT_VERSION_MAJOR	=	5
RT_VERSION_MINOR	=	0
RT_VERSION_PATCH	=	5

RT_VERSION		=	$(RT_VERSION_MAJOR).$(RT_VERSION_MINOR).$(RT_VERSION_PATCH)
TAG 			=	rt-$(RT_VERSION_MAJOR)-$(RT_VERSION_MINOR)-$(RT_VERSION_PATCH)


# This is the group that all of the installed files will be chgrp'ed to.
RTGROUP			=	www


# User which should own rt binaries.
BIN_OWNER		=	root

# User that should own all of RT's libraries, generally root.
LIBS_OWNER 		=	root

# Group that should own all of RT's libraries, generally root.
LIBS_GROUP		=	root

WEB_USER		=	www
WEB_GROUP		=	www

# DESTDIR allows you to specify that RT be installed somewhere other than
# where it will eventually reside. DESTDIR _must_ have a trailing slash
# if it's defined.

DESTDIR			=	



RT_PATH			=	/opt/rt5
RT_ETC_PATH		=	/opt/rt5/etc
RT_BIN_PATH		=	/opt/rt5/bin
RT_SBIN_PATH		=	/opt/rt5/sbin
RT_LIB_PATH		=	/opt/rt5/lib
RT_MAN_PATH		=	/opt/rt5/man
RT_VAR_PATH		=	/opt/rt5/var
RT_DOC_PATH		=	/opt/rt5/docs
RT_FONT_PATH		=	/opt/rt5/share/fonts
RT_LEXICON_PATH		=	/opt/rt5/share/po
RT_STATIC_PATH		=	/opt/rt5/share/static
RT_LOCAL_PATH		=	/opt/rt5/local
LOCAL_PLUGIN_PATH	=	/opt/rt5/local/plugins
LOCAL_ETC_PATH		=	/opt/rt5/local/etc
LOCAL_LIB_PATH		=	/opt/rt5/local/lib
LOCAL_LEXICON_PATH	=	/opt/rt5/local/po
LOCAL_STATIC_PATH	=	/opt/rt5/local/static
MASON_HTML_PATH		=	/opt/rt5/share/html
MASON_LOCAL_HTML_PATH	=	/opt/rt5/local/html
MASON_DATA_PATH		=	/opt/rt5/var/mason_data
MASON_SESSION_PATH	=	/opt/rt5/var/session_data
RT_LOG_PATH		=       /opt/rt5/var/log

# RT_READABLE_DIR_MODE is the mode of directories that are generally meant
# to be accessable
RT_READABLE_DIR_MODE	=	0755





# RT's CLI
RT_CLI_BIN		=	rt
# RT's mail gateway
RT_MAILGATE_BIN		=	rt-mailgate
# RT's cron tool
RT_CRON_BIN		=	rt-crontool



BINARIES		=	$(RT_MAILGATE_BIN) \
				$(RT_CLI_BIN) \
				$(RT_CRON_BIN)

SYSTEM_BINARIES		=	rt-attributes-viewer \
				rt-clean-attributes \
				rt-clean-sessions \
				rt-clean-shorteners \
				rt-dump-initialdata \
				rt-dump-metadata \
				rt-email-dashboards \
				rt-email-digest \
				rt-email-expiring-auth-tokens \
				rt-email-group-admin \
				rt-externalize-attachments \
				rt-fulltext-indexer \
				rt-importer \
				rt-ldapimport \
				rt-munge-attachments \
				rt-passwd \
				rt-preferences-viewer \
				rt-search-attributes \
				rt-serializer \
				rt-server \
				rt-server.fcgi \
				rt-session-viewer \
				rt-setup-database \
				rt-setup-fulltext-index \
				rt-shredder \
				rt-test-dependencies \
				rt-validator \
				rt-validate-aliases \
				standalone_httpd


ETC_FILES		=	acl.Pg \
				acl.Oracle \
				acl.mysql \
				schema.Pg \
				schema.Oracle \
				schema.mysql \
				schema.SQLite \
				cpanfile \
				initialdata



WEB_HANDLER		=	standalone



#
# DB_TYPE defines what sort of database RT trys to talk to
# "mysql", "Oracle", "Pg", and "SQLite" are known to work.

DB_TYPE			=	SQLite

# Set DBA to the name of a unix account with the proper permissions and 
# environment to run your commandline SQL sbin

# Set DB_DBA to the name of a DB user with permission to create new databases 

# For mysql, you probably want 'root'
# For Pg, you probably want 'postgres' 
# For Oracle, you want 'system'

DB_DBA			=	root

DB_HOST			=	localhost

# If you're not running your database server on its default port, 
# specifiy the port the database server is running on below.
# It's generally safe to leave this blank 

DB_PORT			=	




#
# Set this to the canonical name of the interface RT will be talking to the 
# database on.  If you said that the RT_DB_HOST above was "localhost," this 
# should be too. This value will be used to grant rt access to the database.
# If you want to access the RT database from multiple hosts, you'll need
# to grant those database rights by hand.
#

DB_RT_HOST		=	localhost

# set this to the name you want to give to the RT database in 
# your database server. For Oracle, this should be the name of your sid

DB_DATABASE		=	rt5
DB_RT_USER		=	rt_user
DB_RT_PASS		=	rt_pass



TEST_FILES = t/*.t t/*/*.t t/*/*/*.t
TEST_VERBOSE = 0

RT_TEST_PARALLEL_NUM ?= 5


####################################################################

all: default

default:
	@echo "Please read RT's README before beginning your installation."



instruct:
	@echo "Congratulations. RT is now installed."
	@echo ""
	@echo ""
	@echo "You must now configure RT by editing $(SITE_CONFIG_FILE)."
	@echo ""
	@echo "(You will definitely need to set RT's database password in "
	@echo "$(SITE_CONFIG_FILE) before continuing. Not doing so could be "
	@echo "very dangerous.  Note that you do not have to manually add a "
	@echo "database user or set up a database for RT.  These actions will be "
	@echo "taken care of in the next step.)"
	@echo ""
	@echo "After that, you need to initialize RT's database by running" 
	@echo " 'make initialize-database'"


upgrade-instruct: 
	@echo "Congratulations. RT has been upgraded. You should now check over"
	@echo "$(CONFIG_FILE) for any necessary site customization. Additionally,"
	@echo "you should update RT's system database objects by running "
	@echo "    make upgrade-database"


upgrade: testdeps config-install dirs files-install fixperms upgrade-instruct

testdeps:
	$(PERL) ./sbin/rt-test-dependencies

depends: fixdeps

fixdeps:
	$(PERL) ./sbin/rt-test-dependencies --install

#}}}

fixperms:
	# Make the libraries readable
	chmod $(RT_READABLE_DIR_MODE) $(DESTDIR)$(RT_PATH)
	chown -R $(LIBS_OWNER) $(DESTDIR)$(RT_LIB_PATH)
	chgrp -R $(LIBS_GROUP) $(DESTDIR)$(RT_LIB_PATH)
	chmod -R  u+rwX,go-w,go+rX $(DESTDIR)$(RT_LIB_PATH)


	chmod $(RT_READABLE_DIR_MODE) $(DESTDIR)$(RT_BIN_PATH)

	chmod 0755 $(DESTDIR)$(RT_ETC_PATH)
	cd $(DESTDIR)$(RT_ETC_PATH) && chmod 0400 $(ETC_FILES)

	#TODO: the config file should probably be able to have its
	# owner set separately from the binaries.
	chown -R $(BIN_OWNER) $(DESTDIR)$(RT_ETC_PATH)
	chgrp -R $(RTGROUP) $(DESTDIR)$(RT_ETC_PATH)

	chmod 0440 $(DESTDIR)$(CONFIG_FILE)
	chmod 0640 $(DESTDIR)$(SITE_CONFIG_FILE)

	# Make the system binaries
	cd $(DESTDIR)$(RT_BIN_PATH) && ( chmod 0755 $(BINARIES) ; chown $(BIN_OWNER) $(BINARIES);  chgrp $(RTGROUP) $(BINARIES))

	# Make the system binaries executable also
	cd $(DESTDIR)$(RT_SBIN_PATH) && ( chmod 0755 $(SYSTEM_BINARIES) ; chown $(BIN_OWNER) $(SYSTEM_BINARIES);  chgrp $(RTGROUP) $(SYSTEM_BINARIES))

	# Make upgrade scripts executable if they are in the source.
	#
	( cd etc/upgrade && find . -type f -not -name '*.in' -perm +0111 -print ) | while read file ; do \
		chmod a+x "$(DESTDIR)$(RT_ETC_PATH)/upgrade/$$file" ; \
	done

	# Make the web ui readable by all. 
	chmod -R  u+rwX,go-w,go+rX 	$(DESTDIR)$(MASON_HTML_PATH) \
					$(DESTDIR)$(MASON_LOCAL_HTML_PATH) \
					$(DESTDIR)$(RT_LEXICON_PATH) \
					$(DESTDIR)$(LOCAL_LEXICON_PATH) \
					$(DESTDIR)$(RT_STATIC_PATH) \
					$(DESTDIR)$(LOCAL_STATIC_PATH)
	chown -R $(LIBS_OWNER) 	$(DESTDIR)$(MASON_HTML_PATH) \
				$(DESTDIR)$(MASON_LOCAL_HTML_PATH) \
				$(DESTDIR)$(RT_LEXICON_PATH) \
				$(DESTDIR)$(LOCAL_LEXICON_PATH) \
				$(DESTDIR)$(RT_STATIC_PATH) \
				$(DESTDIR)$(LOCAL_STATIC_PATH)
	chgrp -R $(LIBS_GROUP) 	$(DESTDIR)$(MASON_HTML_PATH) \
				$(DESTDIR)$(MASON_LOCAL_HTML_PATH) \
				$(DESTDIR)$(RT_LEXICON_PATH) \
				$(DESTDIR)$(LOCAL_LEXICON_PATH) \
				$(DESTDIR)$(RT_STATIC_PATH) \
				$(DESTDIR)$(LOCAL_STATIC_PATH)

	# Make the web ui's data dir writable
	chmod 0770  	$(DESTDIR)$(MASON_DATA_PATH) \
			$(DESTDIR)$(MASON_SESSION_PATH)
	chown -R $(WEB_USER) 	$(DESTDIR)$(MASON_DATA_PATH) \
				$(DESTDIR)$(MASON_SESSION_PATH)
	chgrp -R $(WEB_GROUP) 	$(DESTDIR)$(MASON_DATA_PATH) \
				$(DESTDIR)$(MASON_SESSION_PATH)

dirs:
	$(INSTALL) -m 0755 -d $(DESTDIR)$(RT_LOG_PATH)
	$(INSTALL) -m 0755 -d $(DESTDIR)$(RT_FONT_PATH)
	$(INSTALL) -m 0755 -d $(DESTDIR)$(RT_LEXICON_PATH)
	$(INSTALL) -m 0755 -d $(DESTDIR)$(RT_STATIC_PATH)
	$(INSTALL) -m 0770 -d $(DESTDIR)$(MASON_DATA_PATH)
	$(INSTALL) -m 0770 -d $(DESTDIR)$(MASON_DATA_PATH)/cache
	$(INSTALL) -m 0770 -d $(DESTDIR)$(MASON_DATA_PATH)/etc
	$(INSTALL) -m 0770 -d $(DESTDIR)$(MASON_DATA_PATH)/obj
	$(INSTALL) -m 0770 -d $(DESTDIR)$(MASON_SESSION_PATH)
	$(INSTALL) -m 0755 -d $(DESTDIR)$(MASON_HTML_PATH)
	$(INSTALL) -m 0755 -d $(DESTDIR)$(MASON_LOCAL_HTML_PATH)
	$(INSTALL) -m 0755 -d $(DESTDIR)$(LOCAL_ETC_PATH)
	$(INSTALL) -m 0755 -d $(DESTDIR)$(LOCAL_LIB_PATH)
	$(INSTALL) -m 0755 -d $(DESTDIR)$(LOCAL_PLUGIN_PATH)
	$(INSTALL) -m 0755 -d $(DESTDIR)$(LOCAL_LEXICON_PATH)
	$(INSTALL) -m 0755 -d $(DESTDIR)$(LOCAL_STATIC_PATH)

clean-mason-cache:
	rm -rf $(DESTDIR)$(MASON_DATA_PATH)/cache/*
	rm -rf $(DESTDIR)$(MASON_DATA_PATH)/etc/*
	rm -rf $(DESTDIR)$(MASON_DATA_PATH)/obj/*

install: testdeps config-install dirs files-install fixperms instruct

files-install: libs-install etc-install config-install bin-install sbin-install html-install doc-install font-install po-install static-install

config-install:
	$(INSTALL) -m 0755 -o $(BIN_OWNER) -g $(RTGROUP) -d $(DESTDIR)$(CONFIG_FILE_PATH)
	-$(INSTALL) -m 0440 -o $(BIN_OWNER) -g $(RTGROUP)  etc/RT_Config.pm $(DESTDIR)$(CONFIG_FILE)
	[ -f $(DESTDIR)$(SITE_CONFIG_FILE) ] || $(INSTALL) -m 0640 -o $(BIN_OWNER) -g $(RTGROUP) etc/RT_SiteConfig.pm $(DESTDIR)$(SITE_CONFIG_FILE) 
	@echo "Installed configuration. About to install RT in  $(RT_PATH)"

test: 
	$(PERL) "-MExtUtils::Command::MM" -e "test_harness($(TEST_VERBOSE), 'lib')" $(TEST_FILES)

parallel-test: test-parallel

test-parallel: 
	RT_TEST_PARALLEL=1 $(PERL) "-MApp::Prove" -e 'my $$p = App::Prove->new(); $$p->process_args("-wlrj$(RT_TEST_PARALLEL_NUM)","--state=slow,save", "t"); exit( $$p->run() ? 0 : 1 )'

regression-reset-db: force-dropdb

=== debian/changelog ===
request-tracker5 (5.0.5+dfsg-2ubuntu1) oracular; urgency=medium

  * Adopt incoming-encryption-header test case for GPG 2.4 output, LP: #2059287

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 15 May 2024 11:56:54 +0200

request-tracker5 (5.0.5+dfsg-2) unstable; urgency=medium

  * Correct CVE numbers for CVE-2023-41259 and CVE-2023-41260 in previous
    entry (Closes: #1055128).
  * Remove alternative for rt-clean-attributes in prerm (Closes: #1057684).
  * Remove alternative for rt-serializer in prerm.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Sun, 10 Dec 2023 01:49:01 +1300

request-tracker5 (5.0.5+dfsg-1) unstable; urgency=high

  * New upstream release (Closes: #1054517).
    - [CVE-2023-41259] Vulnerablility to unvalidated email headers in
      incoming email and the mail-gateway REST interface.
    - [CVE-2023-41260] Information leakage via response messages returned
      from requests sent via the mail-gateway REST interface.
    - [CVE-2023-45024] Information leakage via transaction searches made by
      authenticated users in the transaction query builder.
    - Reveal information about data on various RT objects in errors and other
      response messages to REST 2 requests.
  * Drop patches no longer needed:
    - Update-expired-certificates.diff
    - Update-legacy-timezones.diff
    - install_rt-clean-shorteners.diff
  * Drop patches merged upstream:
    - fcgi_client_sigpipe.diff
    - fix_pod_rt_munge_attachments.diff
  * Add autopkgtests.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Sun, 29 Oct 2023 13:42:33 +1300

request-tracker5 (5.0.4+dfsg-2) unstable; urgency=medium

  * Add patches from upstream:
    - debian/patches/Update-expired-certificates.diff
    - debian/patches/Update-legacy-timezones.diff
  * Drop Build-Depend on tzdata-legacy as Update-legacy-timezones.diff patch
    negates the need for it.

 -- Andrew Ruthven <andrew@etc.gen.nz>  Mon, 04 Sep 2023 23:56:23 +1200

request-tracker5 (5.0.4+dfsg-1) unstable; urgency=medium

  [ Andrew Ruthven ]
  * New upstream release.
  * Drop patch no longer needed:
    - Update-tests-for-EN-datetime-locale-change-to-space.diff
  * Drop patch merged upstream:
    - libdatetime-format-natural-perl-v0.14.diff
  * Refresh d/copyright
  * Bump debhelper from old 10 to 13.
  * Recommend libcss-inliner-perl and enable $EmailDashboardInlineCSS if
    it is installed.
  * Ensure we can build source after successful build.
  * Add disable_dirmngr_in_tests.diff which should make this package able
    to pass the reproducible build tests.
  * Depend on fonts-noto-core instead of the obsolete fonts-noto-hinted
    (Closes: #1050048)
  * Build-Depend on tzdata-legacy as a number of the tests use timezone names
    that have been moved from tzdata to tzdata-legacy.

  [ Ángel Gonzále ]
  * Fetch timezone from /etc/localtime symlink (Closes: #1038847)

 -- Andrew Ruthven <andrew@etc.gen.nz>  Sat, 19 Aug 2023 14:31:11 +1200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: request-tracker5
-Maintainer: Debian Request Tracker Group <pkg-request-tracker-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Request Tracker Group <pkg-request-tracker-maintainers@lists.alioth.debian.org>
 Uploaders: Niko Tyni <ntyni@debian.org>,
            Andrew Ruthven <andrew@etc.gen.nz>,
            Dominic Hargreaves <dom@earth.li>
@@ -308,4 +309,3 @@
          starlet
 Description: Standalone web server support for request-tracker5
  Request Tracker (RT) is a ticketing system which
- enables a group of people to intelligently and efficiently manage

=== debian/tests/control ===
# We could use "Testsuite: autopkgtest-pkg-perl", but the only test that
# works for us is build-deps. So to speed up debci, we have only  the test
# we can use here.
#
# We skip the others as a number of our Perl modules aren't designed to be
# used directly, so fail a perl -c test. The unit tests provide pretty good
# (possibly complete?) coverage of the modules.
Test-Command: /usr/share/pkg-perl-autopkgtest/runner build-deps
Depends: @, @builddeps@, pkg-perl-autopkgtest
Features: test-name=autodep8-perl-build-deps

#Restrictions: skippable

## request-tracker5 5.0.7%2Bdfsg

=== debian/watch ===
Version: 5

Source: https://download.bestpractical.com/pub/rt/release/
Matching-Pattern:.*/rt-(5\.\d+\.\d+)\.tar\.gz
Dversion-Mangle: s/\+dfsg//
PGP-Sig-URL-Mangle: s/$/.asc/

Component: third-party-source
Source: https://download.bestpractical.com/pub/rt/release/third-party-source
Matching-Pattern: .*/rt-(5\.\d+\.\d+)-third-party-source\.tar\.gz
Dversion-Mangle: s/\+dfsg//
PGP-Sig-URL-Mangle: s/$/.asc/
# It seems that uscan gets confused and detects the parent directory, which
# is why I had to use Download-URL-Mangle.
Download-URL-Mangle: s%.*(/rt-*)%https://download.bestpractical.com/pub/rt/release/third-party-source$1%

## request-tracker5 5.0.7+dfsg

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # COPYRIGHT:
 #
-# This software is Copyright (c) 1996-2023 Best Practical Solutions, LLC
+# This software is Copyright (c) 1996-2024 Best Practical Solutions, LLC
 #                                          <sales@bestpractical.com>
 #
 # (Except where explicitly superseded by other copyright notices)
@@ -64,7 +64,7 @@
 
 RT_VERSION_MAJOR	=	5
 RT_VERSION_MINOR	=	0
-RT_VERSION_PATCH	=	5
+RT_VERSION_PATCH	=	7
 
 RT_VERSION		=	$(RT_VERSION_MAJOR).$(RT_VERSION_MINOR).$(RT_VERSION_PATCH)
 TAG 			=	rt-$(RT_VERSION_MAJOR)-$(RT_VERSION_MINOR)-$(RT_VERSION_PATCH)
@@ -187,7 +187,7 @@
 
 #
 # DB_TYPE defines what sort of database RT trys to talk to
-# "mysql", "Oracle", "Pg", and "SQLite" are known to work.
+# "mysql", "mysql5", "MariaDB", "Oracle", "Pg", and "SQLite" are known to work.
 
 DB_TYPE			=	SQLite
 
@@ -384,4 +384,3 @@
 test-parallel: 
 	RT_TEST_PARALLEL=1 $(PERL) "-MApp::Prove" -e 'my $$p = App::Prove->new(); $$p->process_args("-wlrj$(RT_TEST_PARALLEL_NUM)","--state=slow,save", "t"); exit( $$p->run() ? 0 : 1 )'
 
-regression-reset-db: force-dropdb

=== debian/changelog ===
request-tracker5 (5.0.7+dfsg-2ubuntu0.1) plucky-security; urgency=medium

  * SECURITY UPDATE: Multiple security fixes
    - d/p/CVE-2025-2545_CVE-2025-30087_CVE-2025-31500_CVE-2025-
      31501.patch: Fix four security issues in RT.
    - debian/patches/CVE-2025-patchset-test-fix.patch: Fix test for
      2025-04-08 CVE patchset
    - debian/patches/CVE-2025-30087-regression.patch: Improve fix to
      CVE-2025-30087
    - CVE-2025-2545
    - CVE-2025-30087
    - CVE-2025-31500
    - CVE-2025-31501

 -- John Breton <john.breton@canonical.com>  Thu, 07 Aug 2025 12:20:28 -0400

request-tracker5 (5.0.7+dfsg-2) unstable; urgency=medium

  * Create RT-Shredder SQL log directory.
  * Enable verbose logging for autopkgtests to ease CI debugging.
  * Add patch so free port detection for test suite matches how PSGI binds
    (this may fix 1074781).
  * Flag tests as flaky until we know if they work reliably (this will stop
    1074781 from annoying others).

 -- Andrew Ruthven <andrew@etc.gen.nz>  Fri, 27 Sep 2024 23:37:30 +1200

request-tracker5 (5.0.7+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #1068453).
    - [CVE-2024-3262] Information exposure vulnerability due to browser
      cache usage. If you have sensitive information enable the
      $WebStrictBrowserCache option.
  * Refresh d/copyright.
  * Drop patch no longer needed:
    - remove_exclude_Test::WWW::Mechanize.diff
  * Update Standards-Version to 4.7.0 (no changes).
  * Drop dependency on rsyslog | system-log-daemon (Closes: 1072030).
  * Cherry pick upstream commit (Closes: #1078046).

 -- Andrew Ruthven <andrew@etc.gen.nz>  Sun, 11 Aug 2024 18:20:58 +1200

=== debian/control ===
--- 
+++ 
@@ -30,10 +30,10 @@
                libdatetime-format-natural-perl,
                libdatetime-locale-perl (>= 1:1.02),
                libdatetime-perl,
-               libdbd-mysql-perl,
+               libdbd-mysql-perl (<< 5.001),
                libdbd-sqlite3-perl (>= 1.72),
                libdbi-perl,
-               libdbix-searchbuilder-perl (>= 1.77),
+               libdbix-searchbuilder-perl (>= 1.80),
                libdevel-globaldestruction-perl,
                libemail-abstract-perl,
                libemail-address-list-perl,
@@ -69,6 +69,7 @@
                liblog-dispatch-perl,
                liblog-dispatch-perl-perl,
                libmailtools-perl (>= 2.12),
+               libmarkdown-render-perl,
                libmime-tools-perl (>= 5.504),
                libmime-types-perl,
                libmodule-path-perl,
@@ -132,7 +133,7 @@
                po-debconf,
                starlet,
                tzdata,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/request-tracker-team/request-tracker5
 Vcs-Git: https://salsa.debian.org/request-tracker-team/request-tracker5.git
 Homepage: https://bestpractical.com/rt/
@@ -249,7 +250,6 @@
             libcss-inliner-perl,
             libfile-dropbox-perl,
             libnet-amazon-s3-perl,
-            rsyslog | system-log-daemon,
             w3m,
 Suggests: rt5-doc-html
 Description: extensible trouble-ticket tracking system

=== debian/rules ===
#!/usr/bin/make -f
# Based on the sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

VER=5

DEBIAN=$(CURDIR)/debian

RT = request-tracker$(VER)
CLIENTS = rt$(VER)-clients

RT_PKG = $(DEBIAN)/$(RT)
CLIENTS_PKG = $(DEBIAN)/$(CLIENTS)

RT_BUGDIR = $(RT_PKG)/usr/share/bug/$(RT)
CLIENTS_BUGDIR = $(CLIENTS_PKG)/usr/share/bug/$(CLIENTS)
TPSRC=third-party-source/devel/third-party

# Try and use the -j setting for NUMJOBS which is used for how many parallel
# tests to run. Default to 3.
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
else
    NUMJOBS=3
endif

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

configure: build-stamp
build-stamp: configure
	dh_testdir

	# Update translations
	debconf-updatepo

	# Keep aside automatically generated files shipped in the upstream tarball
	mkdir bak
	find . -name '*.in' -print | egrep -v '\.pc|\.\/debian' | sed -e 's/\.in$$//' | while read f; do mkdir -p bak/`dirname $$f`; mv -v $$f bak/$$f; done
	for f in configure install-sh share/static/RichText; do mkdir -p bak/`dirname $$f`; echo cp -pr $$f bak/$$f; cp -pr $$f bak/$$f; done
	test -d $(TPSRC)

	dh_autoreconf
	./debian/scripts/build-final-ckeditor.sh

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# The test suite needs a different configuration in place
	./configure \
	  --with-my-user-group \
	  --enable-layout=inplace \
	  --with-db-type=SQLite \
	  --enable-externalauth \
	  --enable-developer

	$(MAKE) testdeps
	mkdir -p var
	RT_TEST_PARALLEL_NUM=$(NUMJOBS) http_proxy= $(MAKE) test-parallel
	rm -rf var
endif

	# --enable-gpg and --enable-smime disabled for #654697
	# still usable when manually configured
	./configure \
	  --enable-layout=Debian \
	  --enable-graphviz \
	  --enable-gd \
	  --with-rt-group=root \
	  --with-web-user=www-data \
	  --with-web-group=www-data \
	  --with-web-handler=standalone,fastcgi,modperl2 \
	  --with-libs-group=root \
	  --with-db-type=SQLite \
	  --enable-externalauth \

	$(MAKE) testdeps
	mkdir man
	perl debian/scripts/fix-whatis < debian/whatis

	cp debian/binaries/rt-logo.png docs/images

	PERL5LIB=lib devel/tools/rt-static-docs --to html-docs

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	dh_autoreconf_clean

	$(RM) -r man
	[ -d bak/share/static/RichText ] && (rm -rf share/static/RichText; mv bak/share/static/RichText share/static) || true
	# Restore shipped generated files
	-find bak -type f -print | sed -e 's/^bak\///' | while read f; do mv bak/$$f $$f; done
	-rm -rf bak
	rm -rf html-docs var t/tmp third-party-source/devel/third-party/ckeditor-src/skins
	rm -f config.status config.log config.pld bak t/tmp/ports t/data/gnupg/keyrings/random_seed docs/images/rt-logo.png
	dh_clean build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install DESTDIR=$(RT_PKG)
	rm -rf $(RT_PKG)/usr/share/$(RT)/lib/t/
	rm -rf $(RT_PKG)/usr/bin/mason_handler.svc
	rm -rf $(RT_PKG)/usr/sbin/rt-test-dependencies
	rm -rf $(RT_PKG)/usr/share/$(RT)/static/css/fonts/inter/LICENSE.txt
	rm -rf $(RT_PKG)/usr/share/$(RT)/static/RichText/plugins/confighelper/LICENSE
	rm -rf $(RT_PKG)/usr/share/$(RT)/static/RichText/plugins/scayt/LICENSE.md
	rm -rf $(RT_PKG)/usr/share/$(RT)/static/RichText/plugins/wsc/LICENSE.md
	rm -rf $(RT_PKG)/usr/share/$(RT)/static/RichText/skins/bootstrapck/sample
	rm -rf $(RT_PKG)/usr/share/$(RT)/etc/RT_SiteConfig.d
	# We will install a symlink to the separately-packaged javascript
	# libraries instead
	# (leave below as example as there'll be different ones to add back)
	#rm -rf $(RT_PKG)/usr/share/$(RT)/html/NoAuth/js/prototype
	# We will install symlinks to the fonts provided by the fonts-noto
	# and fonts-droid-fallback packages
	rm -rf $(RT_PKG)/usr/share/$(RT)/fonts

	for x in rt-server rt-server.fcgi standalone_httpd; do \
	  mv $(RT_PKG)/usr/sbin/$$x $(RT_PKG)/usr/share/$(RT)/libexec/; \
	done
	dh_install
		
test:
	perl debian/scripts/check-deps

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_usrlocal
	dh_installchangelogs
	dh_installdocs
	dh_installexamples sbin/standalone_httpd
	dh_installman man/*
	dh_installdebconf
	dh_installlogcheck
	dh_lintian
	cd $(RT_PKG) && perl $(DEBIAN)/scripts/move-alts $(VER) \
	    $(DEBIAN)/request-tracker5.alts $(DEBIAN)/$(CLIENTS).alts
	dh_movefiles --sourcedir=debian/$(RT)
	dh_link
	dh_fixperms
	# Remove any leftover .in files
	find $(RT_PKG)/usr/share/$(RT)/lib -type f -name '*.in' -print0 | xargs -0 --no-run-if-empty rm
	rm -f $(RT_PKG)/usr/share/$(RT)/etc/upgrade/*.in
	
	# Remove a test file
	rm -f .prove

	# This is generated by the maintainer scripts
	$(RM) $(RT_PKG)/usr/share/$(RT)/etc/RT_SiteConfig.pm

	install -m 644 debian/scripts/siteconfig.template $(RT_PKG)/usr/share/$(RT)/debian/
	install -m 644 debian/scripts/dbconfig.template $(RT_PKG)/usr/share/$(RT)/debian/
	install -m 755 debian/scripts/write-siteconfig $(RT_PKG)/usr/share/$(RT)/debian/

	# dh_link already made the pgsql and sqlite links
	install -m 755 debian/scripts/dbconfig-install $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/install/mysql
	install -m 755 debian/scripts/dbconfig-upgrade-4.0.4 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.0.4
	install -m 755 debian/scripts/dbconfig-upgrade-4.0.6-mysql $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.0.6
	install -m 755 debian/scripts/dbconfig-upgrade-4.0.6 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/pgsql/4.0.6
	install -m 755 debian/scripts/dbconfig-upgrade-4.0.10 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.0.10
	install -m 755 debian/scripts/dbconfig-upgrade-4.0.12 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.0.12
	# No sqlite upgrade file provided for this
	install -m 755 debian/scripts/dbconfig-upgrade-4.0.12-2-mysql $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.0.12-2
	install -m 755 debian/scripts/dbconfig-upgrade-4.0.12-2-pgsql $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/pgsql/4.0.12-2
	install -m 755 debian/scripts/dbconfig-upgrade-4.0.19-mysql $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.0.19
	install -m 755 debian/scripts/dbconfig-upgrade-4.0.19 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/pgsql/4.0.19
	install -m 755 debian/scripts/dbconfig-upgrade-4.2.3 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.2.3
	install -m 755 debian/scripts/dbconfig-upgrade-4.2.4 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.2.4
	install -m 755 debian/scripts/dbconfig-upgrade-4.2.6 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.2.6
	install -m 755 debian/scripts/dbconfig-upgrade-4.2.7 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.2.7
	install -m 755 debian/scripts/dbconfig-upgrade-4.2.10 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.2.10
	install -m 755 debian/scripts/dbconfig-upgrade-4.2.11 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.2.11
	install -m 755 debian/scripts/dbconfig-upgrade-4.4.1 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.4.1
	install -m 755 debian/scripts/dbconfig-upgrade-4.4.2 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/4.4.2
	install -m 755 debian/scripts/dbconfig-upgrade-5.0.0 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/5.0.0
	install -m 755 debian/scripts/dbconfig-upgrade-5.0.2 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/5.0.2
	install -m 755 debian/scripts/dbconfig-upgrade-5.0.3 $(RT_PKG)/usr/share/dbconfig-common/scripts/$(RT)/upgrade/mysql/5.0.3
